Subject: Re: emacs -nw inserts unwanted chars if user is impatient

From: Stefan Monnier <[email-masked]>
Date: Thu, 11 Dec 2008 11:32:39 -0500

> Discard pending input before doing the terminal query seems to fix the
> bug for me.  I don't know if it's possible for the user's input to come
> inat exactly at the correct moment to fool the terminal query; if so, a
> more complicated solution might be required.

While arguing that there's probably no way to do much better than that,
it occurred to me that "the right way" to do it might be to move the
"check for \e [ > NUMBER1 ; NUMBER2 ; NUMBER3 c and run
xterm-turn-on-modify-other-keys if applicable" into the
input-decode-map.

        Stefan